- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
StarAttributeInternal::State Struct Reference

Internal: the state of a StarAttribute. More...

## Public Member Functions
| State ()
| constructor More...
void | initAttributeMap ()
| init the attribute map list More...

## Public Attributes
std::map< int, shared_ptr< StarAttribute > > | m_whichToAttributeMap
| a map which to an attribute More...

## Protected Member Functions
void | addAttributeVoid (StarAttribute::Type type, std::string const &debugName)
| add a void attribute More...
void | addAttributeXML (StarAttribute::Type type, std::string const &debugName)
| add a XML attribute More...
void | addAttributeBool (StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute More...
void | addAttributeInt (StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute More...
void | addAttributeUInt (StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute More...
void | addAttributeDouble (StarAttribute::Type type, std::string const &debugName, double defValue)
| add a double attribute More...
void | addAttributeColor (StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute More...
void | addAttributeItemSet (StarAttribute::Type type, std::string const &debugName, std::vector< STOFFVec2i > const &limits)
| add a itemSet attribute More...

## Detailed Description

Internal: the state of a StarAttribute.

## Constructor & Destructor Documentation

StarAttributeInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

void StarAttributeInternal::State::addAttributeBool | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue
| ) |  |
| inline protected

add a bool attribute

void StarAttributeInternal::State::addAttributeColor | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue
| ) |  |
| inline protected

add a color attribute

void StarAttributeInternal::State::addAttributeDouble | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | double | defValue
| ) |  |
| inline protected

add a double attribute

void StarAttributeInternal::State::addAttributeInt | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue
| ) |  |
| inline protected

add a int attribute

void StarAttributeInternal::State::addAttributeItemSet | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | std::vector< STOFFVec2i > const & | limits
| ) |  |
| inline protected

add a itemSet attribute

void StarAttributeInternal::State::addAttributeUInt | ( | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue
| ) |  |
| inline protected

add a unsigned int attribute

void StarAttributeInternal::State::addAttributeVoid | ( | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline protected

add a void attribute

void StarAttributeInternal::State::addAttributeXML | ( | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline protected

add a XML attribute

void StarAttributeInternal::State::initAttributeMap | ( |  | ) |

init the attribute map list

## Member Data Documentation

std::map<int, shared_ptr<StarAttribute> > StarAttributeInternal::State::m_whichToAttributeMap

a map which to an attribute

The documentation for this struct was generated from the following file:

- StarAttribute.cxx